'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

exports.default = injectAtRules;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @copyright   2017, Miles Johnson
 * @license     https://opensource.org/licenses/MIT
 * 
 */

/*:: import type { AtRuleMap, CSSStyle } from '../../types';*/
function injectAtRules(properties /*: CSSStyle*/, atName /*: string*/, rules /*: AtRuleMap*/) {
  // Font faces don't have IDs in their declaration,
  // so we need to handle this differently.
  if (atName === '@font-face') {
    var fonts = (0, _keys2.default)(rules).map(function (key) {
      return rules[key];
    });

    if (fonts.length) {
      properties[atName] = fonts.length > 1 ? fonts : fonts[0];
    }

    // All other at-rules work the same.
  } else {
    (0, _keys2.default)(rules).forEach(function (key /*: string*/) {
      properties[atName + ' ' + key] = rules[key];
    });
  }
}